% loadreconstructedvectors.m
%
% simple example for loading signals reconstructed by AStarOMP software
% by elementary Matlab I/O functions.
%
% Nazm Burak Karahanolu                                                 
% 2011, Sabanc University, stanbul                                      
% email: karahanoglu@sabanciuniv.edu, burak.karahanoglu@gmail.com         

%% parameters
NoVect = 50;    % number of test vectors
N = 256;        % signal dimension

%% load binary data and reshape
fid = fopen('OutputVectors.bin', 'rb');
temp = fread(fid,'float32');
fclose(fid);
X_hat1 = reshape(temp,N,NoVect);     % vectors are concatenated.

%% load txt data and invert
load OutputVectors.txt;  % vectors are stored in rows of the file
X_hat2 = OutputVectors';         

% Reconstructed vectors are now stored in columns of X_hat.